> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment from enrollment

> Creates a payment initiation for a biometrics enrollment.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json POST /biometrics/enrollments/{enrollment_id}/payments
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments/{enrollment_id}/payments:
    post:
      tags:
        - biometrics
      summary: Create biometric payment
      description: Creates a payment initiation for a biometrics enrollment.
      operationId: TrioInitiationWeb.Biometrics.PaymentController.create
      parameters:
        - description: Enrollment ID
          in: path
          name: enrollment_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Payment_creation_parameters'
        description: Payment creation parameters
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payment_response'
          description: Payment
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Payment_creation_parameters:
      description: Parameters for creating a biometric payment initiation
      example:
        amount: 1000
        description: Payment description example
        entity_id: 019f9fbf-2c55-8e72-2fcd-0017e7303e00
        external_id: external_id_example
        virtual_account_id: 019f9fbf-2c57-3533-9ffc-f34868af636a
      properties:
        amount:
          description: Amount in cents
          type: integer
        description:
          description: Payment description
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        virtual_account_id:
          description: Bank account ID
          format: uuid
          type: string
      required:
        - entity_id
        - virtual_account_id
        - amount
        - description
      title: Payment_creation_parameters
      type: object
    Payment_response:
      description: Response schema for a biometric payment
      example:
        data:
          amount:
            amount: 1000
            currency: BRL
          description: Payment description example
          end_to_end_id: E12345678202607252301s6AO2vwTrlD
          external_id: external_id_example
          id: 019f9fbf-2cd7-160a-b0ae-3b02f310bcc8
          inserted_at: '2026-07-26T00:00:00Z'
          status: pending
          transaction_date: '2026-07-26'
          updated_at: '2026-07-26T00:00:00Z'
          virtual_account_id: 019f9fbf-2cd7-ae17-3015-a65b66719fc0
      properties:
        data:
          $ref: '#/components/schemas/Payment'
      title: Payment_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Payment:
      description: A biometric payment initiation
      example:
        amount:
          amount: 1000
          currency: BRL
        description: Payment description example
        end_to_end_id: null
        external_id: external_id_example
        id: 019f9fbf-2cb3-a8d4-9ebe-0c7781f37117
        inserted_at: '2026-07-26T00:00:00Z'
        status: pending
        transaction_date: null
        updated_at: '2026-07-26T00:00:00Z'
        virtual_account_id: 019f9fbf-2cb4-4e0d-1e20-2d6b9b27dbf0
      properties:
        amount:
          description: Amount
          type: object
          properties:
            amount:
              description: Amount in cents
              type: integer
            currency:
              description: Currency code
              type: string
        description:
          description: Payment description
          type: string
        end_to_end_id:
          description: End to end ID
          nullable: true
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        id:
          description: Payment ID
          format: uuid
          type: string
        inserted_at:
          description: Created at
          format: date-time
          type: string
        status:
          description: Payment status
          type: string
        transaction_date:
          description: Transaction date
          format: date
          nullable: true
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
        virtual_account_id:
          description: Virtual account ID
          format: uuid
          nullable: true
          type: string
      title: Payment
      type: object

````